> ## Documentation Index
> Fetch the complete documentation index at: https://docs.engrate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Datasets

> List all [Registered Datasets](/api-reference/cost-of-energy/models/dataset)



## OpenAPI

````yaml /openapi.json get /cost-of-energy/v1/datasets
openapi: 3.1.0
info:
  title: Engrate API
  version: 1.0.0
servers:
  - url: https://api.engrate.io
security:
  - apiKeyAuth: []
paths:
  /cost-of-energy/v1/datasets:
    get:
      summary: List Datasets
      description: >-
        List all [Registered
        Datasets](/api-reference/cost-of-energy/models/dataset)
      operationId: list_datasets_cost_of_energy_v1_datasets_get
      responses:
        '200':
          content:
            application/json:
              example:
                datasets:
                  - id: quarter-hourly-energy-offtake
                    resolution: quarter_hourly
                    unit: kWh
                  - id: quarter-hourly-energy-injection
                    resolution: quarter_hourly
                    unit: kWh
                  - id: yearly-firm-subscribed-offtake-capacity
                    resolution: yearly
                    unit: kW
                  - id: quarter-hourly-day-ahead-price-se3
                    resolution: quarter_hourly
                    unit: SEK_per_kWh
              schema:
                $ref: '#/components/schemas/GetDatasetsResponse'
          description: Successful Response
components:
  schemas:
    GetDatasetsResponse:
      properties:
        datasets:
          items:
            $ref: '#/components/schemas/Dataset'
          title: Datasets
          type: array
      required:
        - datasets
      title: GetDatasetsResponse
      type: object
    Dataset:
      description: >-
        A named timeseries with known resolution and unit.


        Used both for describing registered datasets (see below) as well as for
        naming the intermediate results that get created by each step in a
        function pipeline.


        ## Absent values


        All datasets in this API are fixed resolution. For an hourly dataset,
        there is some "slot" for each hour's value. However, some operations -
        [Select](api-reference/cost-of-energy/ops/select) for instance - can
        remove values from datasets, leaving "holes" or absent values behind.
        This is used for instance to select only weekends or certain times of
        year, "clearing" the rest of the dataset.


        We leave it up to users of the API to decide how they wish to represent
        absent values. A common strategy is to use `NaN` to represent absent
        values, another common option is bit masking.
      example:
        id: quarter-hourly-energy-offtake
        resolution: quarter_hourly
        unit: kWh
      properties:
        id:
          description: >-
            Identifier for this dataset. For registered datasets this is a
            globally unique slug; for intermediate pipeline results it is a
            local reference name.
          examples:
            - quarter-hourly-energy-offtake
            - filtered_power
            - weighted_power
          title: Id
          type: string
        resolution:
          $ref: '#/components/schemas/Resolution'
          description: Temporal resolution of the timeseries.
        unit:
          $ref: '#/components/schemas/Unit'
          description: Unit of the timeseries.
      required:
        - id
        - resolution
        - unit
      title: Dataset
      type: object
    Resolution:
      description: >-
        Temporal resolution


        ### Available resolutions


        - **quarter_hourly** — 15-minute resolution


        - **hourly** — 60-minute resolution


        - **daily** — Daily resolution in *calendar* days, not necessarily
        exactly 24 hours, depending on daylight savings etc


        - **weekly** — Weekly resolution in *calendar* weeks, not necessarily
        exactly 24 * 7 hours, depending on daylight savings etc


        - **monthly** — Monthly resolution in *calendar* months, taking into
        account things like daylight savings and leap year calculations


        - **yearly** — Annual resolution in *calendar* years, taking into
        account things like daylight savings and leap year calculations
      enum:
        - quarter_hourly
        - hourly
        - daily
        - weekly
        - monthly
        - yearly
      title: Resolution
      type: string
    Unit:
      description: >-
        Units indicate, well, the unit of values. These are used in places like
        [Datasets](/api-reference/cost-of-energy/models/dataset) and
        [Levels](/api-reference/cost-of-energy/models/level) to indicate the
        unit the data is in.


        ### Available units


        - **A** — Current in Amperes


        - **kV** — Voltage in kilo volts


        - **kW** — Power in kilo watts


        - **kWh** — Energy in kilo watt hours


        - **hours** — Time in hours


        - **SEK** — Monetary amount in SEK


        - **NOK** — Monetary amount in NOK


        - **EUR** — Monetary amount in EUR


        - **SEK_per_kWh** — Monetary rate in SEK per kWh


        - **SEK_per_kW** — Monetary rate in SEK per kW


        - **NOK_per_kWh** — Monetary rate in NOK per kWh


        - **NOK_per_kW** — Monetary rate in NOK per kW


        - **EUR_per_kWh** — Monetary rate in EUR per kWh


        - **EUR_per_kW** — Monetary rate in EUR per kW


        - **%** — Percentage, as a float, where 1.0 represents 100%
      enum:
        - A
        - kV
        - kW
        - kWh
        - hours
        - SEK
        - NOK
        - EUR
        - SEK_per_kWh
        - SEK_per_kW
        - NOK_per_kWh
        - NOK_per_kW
        - EUR_per_kWh
        - EUR_per_kW
        - '%'
      title: Unit
      type: string
  securitySchemes:
    apiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````